Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jelly.tags.core
Class MuteTag

    java.lang.Object
      org.apache.commons.jelly.TagSupport
          org.apache.commons.jelly.tags.core.MuteTag

All Implemented Interfaces:
  Tag

    public class MuteTag

extends TagSupport

A tag which executes its body but passing no output.

Using this tag will still take the time to perform toString on each object returned to the output (but this toString value is discarded. A future version should go more internally so that this is avoided.

Version:
  $Revision: 155420 $
Author:
  Paul Libbrecht

Field Summary

Fields inherited from class org.apache.commons.jelly.TagSupport
`body, context, hasTrimmed, parent, shouldTrim`

Constructor Summary
`MuteTag()` Create an instance

Method Summary
`void` | `doTag(XMLOutput output)` Invoke the body and produce no output.

Methods inherited from class org.apache.commons.jelly.TagSupport
`findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, getBody, getBodyText, getBodyText, getContext, getParent, invokeBody, isEscapeText, isTrim, setBody, setContext, setEscapeText, setParent, setTrim, trimBody`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MuteTag

    public MuteTag()

  Create an instance

Method Detail

### doTag

    public void doTag(XMLOutput output)
               throws JellyTagException

  Invoke the body and produce no output.

  Parameters:
    `output` - tag output, which is ignored.
  Throws:
    `JellyTagException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2005 Apache Software Foundation. All Rights Reserved.